# Generated by Django 4.1.3 on 2022-11-24 22:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('infra', '0001_initial'),
        ('patients', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='treatmentlimitation',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(class)s_created', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='treatmentlimitation',
            name='stay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='patients.patientstay'),
        ),
        migrations.AddField(
            model_name='patientstay',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='unit_stays_created', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='patientstay',
            name='patient',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stays', to='patients.patient'),
        ),
        migrations.AddField(
            model_name='patientnote',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='notes_created', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='patientnote',
            name='stay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='patients.patientstay'),
        ),
        migrations.AlterUniqueTogether(
            name='patient',
            unique_together={('local_id',)},
        ),
        migrations.AddField(
            model_name='failuremeasure',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(class)s_created', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='failuremeasure',
            name='stay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='patients.patientstay'),
        ),
        migrations.AddField(
            model_name='detectionmeasure',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(class)s_created', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='detectionmeasure',
            name='stay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='patients.patientstay'),
        ),
        migrations.AddField(
            model_name='bedstay',
            name='bed',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bed_stays', to='infra.bed'),
        ),
        migrations.AddField(
            model_name='bedstay',
            name='patient_stay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bed_stays', to='patients.patientstay'),
        ),
        migrations.AlterUniqueTogether(
            name='patientnote',
            unique_together={('type', 'stay', 'created_by')},
        ),
    ]
